<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddAudioCodecPreferenceListReq StructType
 * @subpackage Structs
 */
class AddAudioCodecPreferenceListReq extends APIRequest
{
    /**
     * The audioCodecPreferenceList
     * @var XAudioCodecPreferenceList
     */
    public $audioCodecPreferenceList;
    /**
     * Constructor method for AddAudioCodecPreferenceListReq
     * @uses AddAudioCodecPreferenceListReq::setAudioCodecPreferenceList()
     * @param XAudioCodecPreferenceList $audioCodecPreferenceList
     */
    public function __construct(XAudioCodecPreferenceList $audioCodecPreferenceList = null)
    {
        $this
            ->setAudioCodecPreferenceList($audioCodecPreferenceList);
    }
    /**
     * Get audioCodecPreferenceList value
     * @return XAudioCodecPreferenceList|null
     */
    public function getAudioCodecPreferenceList()
    {
        return $this->audioCodecPreferenceList;
    }
    /**
     * Set audioCodecPreferenceList value
     * @param XAudioCodecPreferenceList $audioCodecPreferenceList
     * @return AddAudioCodecPreferenceListReq
     */
    public function setAudioCodecPreferenceList(XAudioCodecPreferenceList $audioCodecPreferenceList = null)
    {
        $this->audioCodecPreferenceList = $audioCodecPreferenceList;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddAudioCodecPreferenceListReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
